## eole-xdesktop 1.3+2-16

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=xdesktop
VERSION=1.3
EOLE_VERSION=2.5
EOLE_RELEASE=2.5.1
PKGAPPS=oui

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-xdesktop (1.3+2-16) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [00f509d] rapatrier les variables eoledb dans la famille eoledb (ref #33188)
  * [2f1da8a] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [61a5c8a] Arnaud Fornerot: Update package since “debian/envole/4/1.3+2-15”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 07 Oct 2021 16:31:54 +0200

eole-xdesktop (1.3+2-15) envole-5-unstable; urgency=low

  [ Christophe LEON ]
  * [7a28c23] Merge branch 'patch'

  [ Arnaud Fornerot ]
  * [f07fd24] gestion lemonlap & correctif sur le calcul des profils
  * [4c57251] Merge branch 'patch'
  * [a0ab558] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [6fc915c] Arnaud Fornerot: Update package since “debian/envole/4/1.3+2-14”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 11 Feb 2021 14:09:01 +0100

eole-xdesktop (1.3+2-14) envole-5-unstable; urgency=low

  [ Christophe LEON ]
  * [01e2192] fixes #29901 correction du calcul du content-length des assets
  * [b7f715f] fixes #29977 Pb de sécurité sur service de redirection
  * [c78bb41] fix compatibilié php 7.2
  * [b88f56d] ref #29977 fix redirection non authentifié
  * [7f536a2] Merge branch 'patch' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [040b615] Christophe LEON: Update package since “debian/envole/4/1.3+2-13”

 -- Christophe LEON <christophe.leon@ac-reunion.fr>  Mon, 15 Jun 2020 12:10:10 +0200

eole-xdesktop (1.3+2-13) envole-5-unstable; urgency=low

  [ Christophe LEON ]
  * [22d35dc] fixes #29087 Bug sur recherche LDAP si  entpersonprofils n'existe pas
  * [21c6a30] fix typo
  * [b32e400] Merge branch 'patch' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [9f6db2c] Christophe LEON: Update package since “debian/envole/4/1.3+2-12”

 -- Christophe LEON <christophe.leon@ac-reunion.fr>  Thu, 17 Oct 2019 14:19:46 +0200

eole-xdesktop (1.3+2-12) envole-5-unstable; urgency=low

  [ Christophe LEON ]
  * [65612ad] fixes #23005 Erreur d'encodage sur réponse json
  * [390ecbf] try / catch Cas si ticket est passé en parametre mais ticket n'est plus valide (Cas de FF lors d'une restore session )
  * [8e15f31] Merge branch 'patch' of https://dev-eole.ac-dijon.fr/git/xdesktop into patch
  * [63d40f8] fix session_start ( check cookie if not empty)
  * [09f3937] fixes #26973 Bug si user_groups n'est pas définit
  * [d3ddb9f] Merge branch 'patch' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [50c4b39] Christophe LEON: Update package since “debian/envole/4/1.3+2-11”

 -- Christophe LEON <christophe.leon@ac-reunion.fr>  Mon, 01 Jul 2019 19:46:11 +0200

eole-xdesktop (1.3+2-11) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [ad8450c] Merge branch 'patch'
  * [45a3501] Merge branch 'patch'
  * [e180964] Merge branch 'master' into dist/envole/5/master

  [ Christophe LEON ]
  * [af7594e] fixes #22066 profil sur export csv des messages
  * [5255a7a] fixes calcul profil si attribut n'est pas un tableau
  * [a69909d] fixes #22356: verification si favoris existe avant de l'ajouter

  [ EOLE Build Daemon ]
  * [879b8ff] Arnaud Fornerot: Update package since “debian/envole/4/1.3+2-10”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 12 Dec 2017 11:20:08 +0100

eole-xdesktop (1.3+2-10) envole-5-unstable; urgency=low

  [ Christophe LEON ]
  * [6824c8b] fixes #21227 : Fix bug sur la remonté des groupes LDAP pour les messages post-it
  * [2fe4daa] modify gitignore
  * [7f928ed] ajout function de profilage en post data (sans auth)
  * [af7b73e] add api list of all applications
  * [64ade98] fixes #21873: mysqli_real_escape_string return empty string
  * [b11e692] fixes #21872: correction si message null
  * [23a9e60] Merge branch 'patch' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [3be72b7] Christophe LEON: Update package since “debian/envole/4/1.3+2-9”

 -- Christophe LEON <christophe.leon@ac-reunion.fr>  Thu, 02 Nov 2017 10:25:23 +0100

eole-xdesktop (1.3+2-9) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [f382749] report modification de la branche master dans patch
  * [208b66c] passage en mysqli pour eole 2.6
  * [0ddf171] Merge branch 'patch'
  * [85820d8] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [af40478] Arnaud Fornerot: Update package since “debian/envole/4/1.3+2-8”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 30 Aug 2017 09:20:14 +0200

eole-xdesktop (1.3+2-8) envole-5-unstable; urgency=low

  [ Christophe LEON ]
  * [82deaec] Possibilité de défnir un filtrage LDAP des groupes personnalisé (par ex si Ldap non scribe)
  * [362a936] Possibilité de définir d'autres groupes pour gérer les messages
  * [8280fde] escape query parameters in mxServices.php
  * [6576c29] edispatcher et xdesktop portés par le même DNS mais sur des containers différents
  * [5fbdbdf] fix typo
  * [acfb15d] Merge remote-tracking branch 'origin/master'
  * [ba7fb26] Merge branch 'master' into dist/envole/5/master

  [ Unknown ]
  * [7b7134b] prise en compte du champ 'profils' s'il éxiste
  * [7b438f9] maj cas
  * [93e5731] definition de groupes locaux

  [ cleon ]
  * [6b4c182] Merge branch 'master' of https://dev-eole.ac-dijon.fr/git/xdesktop

  [ EOLE Build Daemon ]
  * [4755f68] Christophe LEON: Update package since “debian/envole/4/1.3+2-7”

 -- Christophe LEON <christophe.leon@ac-reunion.fr>  Tue, 28 Mar 2017 13:10:50 +0200

eole-xdesktop (1.3+2-7) envole-5-unstable; urgency=low

  [ Christophe LEON ]
  * [0883f39] fixes: #15502, remove rawurldecode in redirect.php
  * [d048093] fixes #16916 erreur dans plugin piwikEnvole
  * [8104662] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [08175e8] Christophe LEON: Update package since “debian/envole/4/1.3+2-6”

 -- Christophe LEON <christophe.leon@ac-reunion.fr>  Tue, 13 Sep 2016 17:15:02 +0200

eole-xdesktop (1.3+2-6) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [16f7c90] correctif pour paquet envole 5


=== debian/control ===
Source: eole-xdesktop
Section: web
Priority: optional
Maintainer: Equipe Envole <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), eole-sondepiwik
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/xdesktop
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/xdesktop/repository

Package: xdesktop-sso
Architecture: all
Depends: ${misc:Depends}, eole-sso
Replaces: eole-xdesktop (<< 1.2+5-1)
Breaks: eole-xdesktop (<< 1.2+5-1)
Description: Filtre SSO pour xdesktop "EOLE".

Package: eole-xdesktop
Architecture: all
Depends: ${misc:Depends}, eole-web (>= 2.5.2), xdesktop-sso(>= 1.2+5-1), eole-db, eole-posh-profil, eole-client-annuaire, eole-sondepiwik
Description: Eolisation de l'application xdesktop.

Package: xdesktop-apps
Architecture: all
Depends: ${misc:Depends}, eole-web-pkg (>= 2.5.2), posh-profil-apps, eole-client-annuaire-pkg, sondepiwik-apps
Description: Sources pour xdesktop "EOLE".
